#pragma once



#include   <afxmt.h>

//
namespace jbxwl {




class CWinSharedMemory
{
public:
	CWinSharedMemory(void);
	virtual ~CWinSharedMemory(void);


protected:
	HANDLE		m_hMapping;			// メモリマップドファイルのハンドル
	void*		m_pMappingView;		// ファイルのビューへのポインタ
	CMutex*		m_pMutex;			// ミューテックスオブジェクト


	void		get();
	void		put();

};




}		// namespace